
#include <string>

#include "TFile.h"
#include "TTree.h"

void MakeClass(std::string filename, std::string treename)
{
  TFile* file = TFile::Open(filename.c_str());
  if(!file) return;

  TTree* tree = (TTree*)file->Get(treename.c_str());
  if(!tree || !tree->InheritsFrom(TTree::Class())) return;

  tree->MakeClass();
}
