{
  clear();

  //read-in files
  //if treename is same, read sequentially(use TChain).
  //not same, read parallel(use AddFriend method)
  readtree("root/sample/run0.root", "t");
  readtree("root/sample/run1.root", "t");

  // show branch list
  //  branchls();
  
  // divide pad
  zone(2,2);

  //create 1dhist for all branches and leaves
  //  createhistall();
  //  ls();

  //example of adding 1D hist
  createhist(2);
  //example of adding 2D hist
  //  createhist(2, 4);
  //example of adding 3D hist
  //  createhist(2, 4, 6);
  //example of create hist, define range and bin
  createhist(0, 100, -2., 4.);
  //  createhist(0, 20, -4., 4., 5, 20, -2., 4.);

  // add by name
  //  createhist("theta");
  createhist("theta", "xy");
  //  createhist("theta", "xy", "y");

  // creat cut
  createcut("cutxlow", "x<0 || 1<x");
  createcut("cutxmid", "0.5<x && x<2");
  createcut("cutxlowmid", &(*getcut(0) && *getcut(1)));
  cutls();

  // add hist with cut
  createhist(3, -1, -1, "", getcut(0));

//  createhist("x", "", "", "", getcut(0));
//  createhist(3, 6, -1, "", getcut("cutxlowmid"));

  // simple calculation
  // if use "(",or ")" for branchname(ex. 4*(x+y)), cannot omit histname 
  // this method create "virtual" branch
  pushbranch("x^2*y^2*z^2", "");
  pushbranch("radius*sin(theta)*cos(phi)", "");
  pushbranch("radius*sin(theta)*sin(phi)", "");
  createhist(21, 22, -1, "histname");

  // manually access to hst
  //  TH1* h = gethist(1);
  //  h->SetFillColor(3);
  //  h->Draw("BAR");

  //show list of hist
  ls();
}
