
#include "CKinema.hh"
#include "CParticle.hh"

void Scatter_test()
{
  double mu = 931.494;

  double mp = 7.289 + mu;
  double mn = 8.071 + mu;

  CParticle pin(mp), nin(mn), pout(mp), nout(mn);
  pin.k(250);
  nin.k(0);

  double phi_lab;
  CKinema kinema;
  for(double theta_lab = 0; theta_lab < 1; theta_lab += 0.01){
    kinema.Scatter(theta_lab, phi_lab = 0., pin, nin, nout, pout);
    std::cout << theta_lab << " " << nout.beta() << std::endl;
  }
}
