#ifndef CCUTMANAGER_HH
#define CCUTMANAGER_HH

#include "TList.h"

#include <string>
#include <deque>

#include "IArrayManager.hh"

class TCut;
class TCutG;

class CCutManager : public IArrayManager
{
public:
  CCutManager() : IArrayManager()
  {
    IArrayManager::listname = "cutmanager";
  }
  ~CCutManager(){;}

  TCut* GetCut(int id);
  TCut* GetCut(std::string name);
  TCut* GetCut();
  TCutG* GetCutG(int id);
  TCutG* GetCutG(std::string name);
  TCutG* GetCutG();
  void Draw(int);

private:
  std::string FunctionName(std::string functionname) const;
};

#endif
