#include "TROOT.h"
#include "TSystem.h"
#include "TLine.h"
#include "TEllipse.h"
#include "TArc.h"
#include "TH1.h"
#include "TAxis.h"
#include "TCanvas.h"
#include "TPad.h"
#include "Buttons.h"
//#include "TControlBarButton.h"

#include <iostream>
#include <iomanip>
#include <string>
#include <cmath>

#include "CEventLoop.hh"
#include "CDynamicFunction.hh"

std::string CDynamicFunction::space(CDynamicFunction::GetSpace());

#include "DynamicFunction/FSelectPad.cc"
#include "DynamicFunction/FXValue.cc"
#include "DynamicFunction/FYValue.cc"
#include "DynamicFunction/FXYValue.cc"
#include "DynamicFunction/FCircle.cc"
#include "DynamicFunction/FWheelZoom.cc"
