#ifndef CDATASAMPLE_HH
#define CDATASAMPLE_HH

#include <deque>

#include "TString.h"

#include "CData.hh"

class CDataSample : public CData
{
public:
  CDataSample();
  CDataSample(const char* name, const char* title = "");
  CDataSample(const TString& name, const TString& title = "");
  CDataSample(const CDataSample& datasample);
  CDataSample& operator=(const CDataSample& rhs);
  ~CDataSample();

  void Reset();

public:
  Double_t x, y, z, r;
  std::deque<double> deque_d;

  ClassDef(CDataSample, 1)
};

#endif
